Subject: Re: iproute2: potential upgrade regression with 58a3e827

From: [email-masked] (Eric W. Biederman)
Date: Mon, 11 Nov 2013 14:40:47 -0800

Dilip Daya <[email-masked]> writes:

> Hi Chris,
>
> On Mon, 2013-11-11 at 15:26 -0600, Chris J Arges wrote:
>
>> Good suggestion,
>> So I'll use a more simple example now:
>> 
>> 1)
>> ip netns add first
>> ip netns exec first bash
>> 
>> 2)
>> ip netns add second
>> ip netns exec second bash
>> 
>> 3)
>> ip netns exec first bash
>> 
>> If we do not upgrade the package, after we execute (2) we have:
>> # ls -l /var/run/netns
>> total 0
>> -r-------- 1 root root 0 Nov 11 20:38 first
>> -r-------- 1 root root 0 Nov 11 20:38 second
>> 
>> If we upgrade after (1), then run (2) we have:
>> # ls -l /var/run/netns
>> total 0
>> ---------- 1 root root 0 Nov 11 20:56 first
>> -r-------- 1 root root 0 Nov 11 20:57 second
>> 
>> So looks like netns add is doing something different from 58a3e827 and on.

I will just add that it is worth looking at /proc/mounts as well.

Although I have to admit that the difference in permissions is odd.

Eric